<template>
  <form v-bind:action="'/users/' + user.id" method="PUT" class="form" v-on:submit="submitForm">
    <div class="form-group">
      <input
        type="text"
        v-model="user.name"
        name="name"
        class="form-control form-control-plaintext"
      />
    </div>
    <div class="form-group">
      <input
        type="email"
        v-model="user.email"
        name="email"
        class="form-control form-control-plaintext"
      />
    </div>
    <div class="form-group">
      <button type="submit" class="btn btn-primary" v-on:click="submitButton">Update</button>
    </div>
  </form>
</template>

<script>
import Axios from "axios";
export default {
  data() {
    return {
      user: null
    };
  },
  mounted() {
    Axios.get("/api/users/" + $("datalist").data("user-id")).then(
      response => (this.user = response.data)
    );
  },
  methods: {
    submitButton: function(event) {
      console.log("submit button");
      return;
      $(event.target)
        .closest("form")
        .submit();
    },
    submitForm: function(event) {
      event.preventDefault();
      event.stopPropagation();
      console.log($(event.target).length);
      console.log($(this).serializeArray());
      console.log($(event.target).serializeArray());
      $('div[role="alert"].alert-primary').addClass("d-none");
      $('div[role="alert"].alert-danger').addClass("d-none");

      Axios.put(
        $(event.target).attr("action"),
        $(event.target).serializeArray()
      )
        .then(response => {
          console.log("response ok");
          console.log($('div[role="alert"].alert-primary').length);
          $('div[role="alert"].alert-primary').toggleClass("d-none");
        })
        .catch(err => {
          $('div[role="alert"].alert-primary')
            .show()
            .toggleClass("d-none")
            .html(err);
        });
    }
  }
};
</script>